From b7b0163e3e40556c7fea679df683c0b55f21dc2c Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Tue, 31 Mar 2020 09:36:13 +0800
Subject: [PATCH 15/77] max_vcpus: fix max vcpus num to 'pc-q35' machine type

The max vcpus num in 'pc-q35-2.8' and later versions is 288, and in
previous versions is 255. Different versions should be adapted.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/cfg/cpu/max_vcpus.cfg | 8 ++++----
 libvirt/tests/src/cpu/max_vcpus.py  | 3 +++
 2 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/libvirt/tests/cfg/cpu/max_vcpus.cfg b/libvirt/tests/cfg/cpu/max_vcpus.cfg
index e58b6542..95286608 100644
--- a/libvirt/tests/cfg/cpu/max_vcpus.cfg
+++ b/libvirt/tests/cfg/cpu/max_vcpus.cfg
@@ -6,12 +6,12 @@
         - virsh_maxvcpus:
             no pseries, s390-virtio
             check = "virsh_maxvcpus"
-            report_num = "240"
+            report_num = "255"
         - virsh_capabilities:
             check = "virsh_capabilities"
-            report_num_pc_7 = "240"
+            report_num_pc_7 = "255"
             report_num_q35_73 = "255"
-            report_num_q35_7_8 = "384"
+            report_num_q35_7_8 = "288"
         - positive_test:
             status_error = "no"
             variants:
@@ -57,5 +57,5 @@
                 - ioapic_iommu:
                     only q35
                     check = "ioapic_iommu_ne"
-                    guest_vcpu = "385"
+                    guest_vcpu = "289"
                     err_msg = "unsupported configuration: Maximum CPUs greater than specified machine type limit"
diff --git a/libvirt/tests/src/cpu/max_vcpus.py b/libvirt/tests/src/cpu/max_vcpus.py
index 5449ee1f..80054293 100644
--- a/libvirt/tests/src/cpu/max_vcpus.py
+++ b/libvirt/tests/src/cpu/max_vcpus.py
@@ -90,6 +90,9 @@ def run(test, params, env):
                     if key == "pc-q35-rhel7.3.0":
                         if machtype_vcpunum_dict[key] != report_num_q35_73:
                             test.fail('Test failed as q35_rhel73_max_vcpus_num in virsh_capa is wrong.')
+                    elif len(key) == len("pc-q35-2.8") and key < "pc-q35-2.8":
+                        if machtype_vcpunum_dict[key] != report_num_q35_73:
+                            test.fail('Test failed as the q35_max_vcpus_num in virsh_capa is wrong.')
                     else:
                         if machtype_vcpunum_dict[key] != report_num_q35_7_8:
                             test.fail('Test failed as the q35_max_vcpus_num in virsh_capa is wrong.')
-- 
2.23.0

